body
{
	background: white;
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	padding: 0;
	margin: 0;
	text-align: left;
}
/**************************************************
    Removed the font size, since it changed the way
    that the Crystal Reports parameter window was
    sized.
    Jeff Lyon - 09/30/2016 - version 3.7.1.5
	font-size: 8pt;
**************************************************/

/**************************************************
	Added new padding line
	Jeff Lyon - 10/24/2014 - 3.5.1.1
    Changed the skin to be centered
    Jeff Lyon - 5/4/2017 - 3.8.1.1
***************************************************/
.MainBody
{
	width: 1200px;
    margin: 10px auto 10px auto;
	background-color: white;
	border: 1px solid #6699CC;
	padding: 0 5px 0 5px;
	position: relative;
}

/**************************************************
Removed to fix problem where the report disappears
Jeff Lyon - 02-07-2013 - 3.4.2.2
	position: relative;
**************************************************/
.RSContent
{
	margin: 10px 5px 0 5px;
	padding: 0 0 20px 0;
}

h1, h2, h3, h4, h5, h6, p, form {
	margin: 0;
	padding:0;
}

/** Jeff Lyon - 03-03-2016 - 3.7.1.2
    Added to force the padding in tables
	td { padding: 3px; }
	This was removed since it changed the layout of the CR Web Viewer.
	The toolbar icons could not be viewed.
	Jeff Lyon - 5/9/2016 - version 3.7.1.2
	Created a class so only the Ripplestone tables get padding
**/
.RSTable tr td { padding: 3px; }

/** Jeff Lyon - 06-26-2013 - 3.4.3.1  **/
img {
	border: none;
}

.ErrorMessage
{
	color: Red;
}

.EditPageTitle
{
	font-family: Verdana, Arial, Sans-Serif;	
	font-size: 12pt;
	font-weight: bold;
	color: #1E338B;
	border-style: solid;
	border-width: 0px;
	margin-top: 20px;
	margin-bottom: 10px;
	text-align: left;
}

/* draws a box around a series of radio buttons, used on forms. */
div.Group
{
	border-style: solid;
	border-width: 1px;
	height: 20px;
	margin-left: 0px;
	margin-right: 0px;
	margin-top: 0px;
	margin-bottom: 0px;
	text-align: left;
}

/*****************************************************************
These are the styles used by the Login Form
******************************************************************/
#loginImage
{
	background-image: url(../Images/RSBlueBlocks/RipplestoneLogo.gif);
	background-repeat: no-repeat;
	height: 50px;
	width: 192px;
	position: relative;
	top: 70px;
	left: 95px;
	border: solid 0px red;
	text-align: left;
	display: none;
}

#loginForm
{
	position: relative;
	top: 0px;
	left: 300px;
	width: 300px;
	border: solid 0px lime;
	text-align: left;
	display: block;
	height: 200px;
	padding-top: 50px;
}

#loginTable
{
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
}

.LoginFormRow
{
	height: 30px;
	margin: 3px;
}

#UserIDRow
{}

#PasswordRow
{}

#LoginBottonRow
{}

#ErrorMesageRow
{}

#UserIDLabelCell
{
	text-align: right;
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	padding-right: 5px;
}

#UserIDTextbox
{
	position: relative;
	left: 50px;
}

#PasswordLabelCell
{
	text-align: right;
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	padding-right: 5px;
}

#PasswordTextbox
{
	position: relative;
	left: 50px;
}

#LoginButtonCell
{
	text-align: center;
	padding-top: 10px;
	padding-right: 0px;
}
/*****************************************************************
End of Login Form Styles
******************************************************************/

/*****************************************************************
Main Report Page
******************************************************************/
#Search
{
	float: left;
	margin: 5px 0px 0px 5px;
	padding: 5px 0px 0px 0px;
	border: 0px solid red;
	height: 25px;
}

#progressIndicator
{
	float: left;
	margin: 5px 0px 0px 50px;
	padding: 5px 0px 0px 0px;
	border: 0px solid red;
	height: 25px;
	width: 100px;
}

/*** Added for 3.6.1 ***/
#messagesHome
{
	float: left;
	margin: 5px 0px 0px 50px;
	padding: 5px 0px 0px 0px;
	height: 25px;
	width: 400px;
}

#ReportFolders
{
	float: left;
	width: 650px;
	padding-top: 20px;
	margin-left: 0px
}

#FolderHeading
{
	text-align: left;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 10pt;
	font-weight: bold;
	color: white;
	margin: 0px 0px 0px 5px;
	padding: 5px 0px 0px 5px;
	background-color: #6699CC;  /*add 5/16/2013 version 3.4.3.0*/
	height: 26px;
	border-top: solid 1px #000080;
	border-right: solid 1px #000080;
	border-bottom: solid 0px #000080;
	border-left: solid 1px #000080;
}

#FolderHeadingText
{
	padding-left: 5px;
	margin-top: 10px;
	height: 20px;
	border: 0px solid red;
}

#Folders
{
	margin: 0px 0px 0px 5px;
	padding: 5px 0px 3px 2px;
	border-top: solid 0px #000080;
	border-right: solid 1px #000080;
	border-bottom: solid 1px #000080;
	border-left: solid 1px #000080;
}

a.FolderList
{
	text-decoration: underline;
	color: blue;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}
a.FolderList:hover
{
	color: red;
}

#ReportContainer
{
	float: right;
	width: 500px;
	padding-top: 20px;
	padding-right: 3px;
}

.documentGroup
{
	margin-bottom: 10px;
}

.GroupHeading
{
	text-align: left;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 10pt;
	font-weight: bold;
	color: white;
	padding: 5px 0px 0px 5px;
	background-color: #6699CC;  /*add 5/16/2013 version 3.4.3.0*/
	height: 21px;
	border-top: solid 1px #000080;
	border-right: solid 1px #000080;
	border-bottom: solid 0px #000080;
	border-left: solid 1px #000080;
}

.GroupBody
{
	margin-top: 0px;
	border-top: solid 0px #000080;
	border-right: solid 1px #000080;
	border-bottom: solid 1px #000080;
	border-left: solid 1px #000080;
	padding: 2px 3px 3px 2px;
}

#ReportImage
{
	margin-top: 2px;
}

#ReportDescription
{
	float: left;
	padding-left: 25px;
}

div.clearfloats
{
	clear: both;
}

/**********************************************************
 Styles for the icon buttons on the home page
**********************************************************/
.deleteButton
{
	position: relative;
	top: 5px;
}

.editButton
{
	position: relative;
	top: 5px;
}

.moveButton
{
	position: relative;
	top: 5px;
}

.runButton
{
	position: relative;
	top: 5px;
}

.addFavoriteButton
{
	position: relative;
	top: 5px;
}

.newFolderButton
{
	position: relative;
	top: 5px;
}

.newDocumentButton
{
	position: relative;
	top: 5px;
}

.newScheduleButton
{
	position: relative;
	top: 5px;
}

.scheduleButton
{
	position: relative;
	top: 5px;
}

.scheduleHistoryButton
{
	position: relative;
	top: 5px;
}

.scheduleEditButton
{
	position: relative;
	top: 5px;
}

/*****************************************************************
End of Main Report Page
******************************************************************/

/*****************************************************************
These are the styles used by the Header
******************************************************************/
#Header
{
	position: relative;	/* Must be set to relative to set the positioning context for the div tags within the Header div */
	border: solid 0px blue;
	height: 107px;
}

#HeaderBackground
{
	background-color: white;
	background-image: url(../Images/RSBlueBlocks/topLeft.gif);
	background-repeat: repeat-x;
	background-position: left bottom;
	position: absolute;
	z-index: 0;
	height: 78px;
	width: 900px;
	border: solid 0px Lime;
	margin-top: 5px;
	margin-left: 2px;
	margin-right: 2px;
	margin-bottom: 3px;
	padding: 0px 0px 0px 0px;
}

#HeaderBackground span
{
	position: absolute;
	left: 120px;
	border: solid 0px lime;
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: bold;
	font-size: 16pt;
	color: #6298bb;
	text-align: left;
	z-index: 9;
	width: 400px;
	top: 10px;
}

#HeaderImage1
{
	background-image: url(../Images/RSBlueBlocks/topRight.gif);
	background-repeat: no-repeat;
	background-position: right bottom;
	position: absolute;
	height: 78px;
	width: 334px;
	border: solid 0px red;
	top: 5px;
	right: 2px;
}

#HeaderImage1 span
{
	display: none;
}

#HeaderImage2
{
	background-image: url(../Images/RSBlueBlocks/RipplestoneLogo.gif);
	background-repeat: no-repeat;
	background-position: left top;
	position: absolute;
	height: 50px;
	width: 192px;
	border: solid 0px red;
	top: 15px;
	left: 20px;
}

#HeaderImage2 span
{
	display: none;
}

#HeaderImage3
{
	display: none;
}

#HeaderImage3 span
{
	display: none;
}
/*****************************************************************
End of Header Styles
******************************************************************/

/*****************************************************************
The user defined links in the header
******************************************************************/
#Links
{
	font-weight: bold;
	font-size: 10pt;
	background-color: #6699CC;
	text-align: left;
	padding-left: 10px;
	margin-left: 0px;
	margin-right: 4px;
	position: relative;
	top: 86px;
	left: 2px;
	border: solid 0px red;
}
a.UserLink
{
	font-size: 8pt;
	color: white;
	font-weight: bold;
	text-decoration: none;
}
a:hover.UserLink
{
	font-size: 8pt;
	color: #1E338B;
	font-weight: bold;
	text-decoration: none;
}

/*****************************************************************
End of Link Styles
******************************************************************/

/*****************************************************************
 The link trail (Breadcrumb) that contains the Ripplestone links 
 used for navigation on every page except signon.aspx
******************************************************************/
div.nav
{
	font-family: Verdana, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
	margin: 10px 2px 5px 2px; 
	padding: 5px 0px 2px 0px;
	background-color: #e5e5e5;
	border-color: #1E338B;
	border-width: 1px;
	border-style: solid;
	height: 15px;
	vertical-align: middle;
	position: relative;
	top: 0px;
}

/* Changed height to 35px - 5/23/13 - version 3.4.3.0 */
div.nav2
{
	position: relative;
	font-family: Verdana, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
	margin: 0px;
	margin-top: 10px;
	padding: 0px;
	height: 35px;
}

/* Changed padding-top to 10px - 5/23/13 - version 3.4.3.0 */
.nav2left
{
	position: absolute;
	padding-top: 10px;
}

/* Added font-size, font-weight and color. Changed top to 10px - 5/23/13 - version 3.4.3.0 */
.nav2title
{
	font-size: 12pt;
	font-weight: bold;
	color: #6699CC;
	position: absolute;
	left: 25px;
	top: 10px;
}

.nav2right
{
	position: relative;
	float: right;
	right: 10px;
	top: 0px;
	white-space: nowrap;
}

.logout
{
	display: inline;
}

.BreadCrumbLeft
{
	text-align: left;
}

.BreadCrumbRight
{
	float: right;
	right: 8px;
	text-align: right;
}

/**********  Version 3.2.9.4  ************/
div.nav a
{
	color: #4169E1;
}
/*****************************************************************
Begin Footer Style
******************************************************************/
#Footer
{
	position: relative;	/* Must be set to relative to set the positioning context for the div tags within the Header div */
	border: solid 0px red;
	height: 70px;
	bottom: 5px;
	margin: 5px 0px 0px 0px;
	padding: 0px;
}

#footer1
{
	border: solid 0px lime;
	text-align: center;
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 8pt;
	color: #666666;
	position: absolute;
	bottom: 33px;
	width: 100%;
}

#footer2
{
	border: solid 0px blue;
	text-align: center;
	font-family: Verdana, Arial, Sans-Serif;	
	font-weight: normal;
	font-size: 8pt;
	color: #666666; 
	position: absolute;
	bottom: 15px;
	width: 100%;
}

#footer2 a
{
	text-decoration: none;
}

/*****  Added in version 3.2.9.3 to display the License message ******/
#footer3
{
	border: solid 0px blue;
	font-family: Verdana, Arial, Sans-Serif;	
	font-weight: normal;
	font-size: 8pt;
	color: red; 
	position: absolute;
	top: 5px;
	width: 100%;
	text-align: center;
}

#footerImage1
{
	background-image: url(../Images/RSBlueBlocks/btmBlocks.gif);
	background-repeat: no-repeat;
	border: solid 0px lime;
	height: 33px;
	width: 33px;
	position: absolute;
	bottom: 15px;
	left: 2px;
}

#footerImage1 span
{
	display: none;
}

#footerImage2
{
	background-color: black;
	background-image: none;
	background-repeat: no-repeat;
	width: 1195px;
	height: 1px;
	bottom: 12px;
	left: 2px;
	position: absolute;
}

#footerImage2 span
{
	display: none;
}

#footerImage3
{
	background-color: #6699CC;
	background-image: none;
	background-repeat: no-repeat;
	width: 1195px;
	height: 10px;
	bottom: 0px;
	left: 2px;
	position: absolute;
}

#footerImage3 span
{
	display: none;
}

/*****************************************************************
End of Footer Styles
******************************************************************/


/*****************************************************************
Administration Pages
******************************************************************/
/* Used like an H1 on all admin forms*/
a.ReportLink
{
	text-decoration: underline;
	color: blue;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}

a.ReportLink:hover
{
}

.Title
{
	font-family: Verdana, Arial, Sans-Serif;	
	font-size: 12pt;
	font-weight: bold;
	border-style: solid;
	border-width: 0px;
	margin: 0px;
	padding: 2px;
	text-align: center;
}

.AdminDescription
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}

/*****************************************************************
End of the Administration Pages
******************************************************************/

/*****************************************************************
Forms
******************************************************************/

.FormText
{
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	color: #1E338B;
}

.FormLabel
{
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	color: #1E338B;
	white-space: nowrap;
}

.FormTextbox
{
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	width: 98%;
}

.FormCheckbox
{
	font-family: Verdana, Arial, Sans-Serif;
	font-weight: normal;
	font-size: 10pt;
	color: #1E338B;
	white-space: nowrap;
}

.AddNewLinkLeft
{
	margin-left: 10px;
	margin-top: 5px;
}

#buttons
{
	position: relative;
	top: 5px;
}

/*****************************************************************
Section of buttons at the top and bottom if the page
Jeff Lyon - 5/8/2015 - version 3.5.3.3
******************************************************************/

.topButtons {
	margin-top: 10px;
	margin-bottom: 10px;
}

.bottomButtons {
	margin-top: 10px;
	margin-bottom: 10px;
}

/****************************************************************/
/* 
This is all the styles used by the datagrid control.  There
are 7 different styles for the different sections of the
datagrid
*/
/****************************************************************/
.datagridGeneral
{
	border: solid 1px silver;
}
.datagridHeader
{
	background-color: #639ABD;
	color: White;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 10pt;
	font-weight: bold;
	height: 30px;
	padding-left: 5px;
	margin-left: 5px;
	margin-right: 5px;
	margin-top: 5px;
	margin-bottom: 5px;
}

.datagridHeader a
{
	text-decoration: underline;
	color: White;
	font-size: 10pt;
}

.datagridItem
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
	height: 20px;
}
.datagridItem a
{
	text-decoration: none;
	color: Blue;
	font-size: 8pt;
}
.datagridItem a:hover
{
	text-decoration: none;
	color: Red;
	font-size: 8pt;
}

.datagridAlternatingItem
{
	background-color: #ADC8E0;
	color: Black;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
	height: 20px;
}
.datagridAlternatingItem a
{
	text-decoration: none;
	color: Blue;
	font-size: 8pt;
}
.datagridAlternatingItem a:hover
{
	text-decoration: none;
	color: Red;
	font-size: 8pt;
}

.datagridEditItem
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}
.datagridFooter
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}
.datagridPager
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}
.datagridSelectedItem
{
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
}
/** Style to display a row that might contain an error ex: Failed Job in the Schedule History grid  **/
.datagridErrorRow
{
	background-color: #EB714D;
	color: Black;
	font-family: Verdana, Arial, Sans-Serif;
	font-size: 8pt;
	font-weight: normal;
	height: 20px;
}

/**********************************************************************
Styles for the Parameter User Control
**********************************************************************/
.ParameterLabel
{
	font-weight: bold;
	padding-top: 20px;
	padding-bottom: 5px;
}

/**********************************************************************
Styles for the Search and Filter table on the ScheduledReports page
**********************************************************************/
table.scheduleSearch
{
	border: solid 1px #6298BB;
	padding: 10px 5px 10px 5px;
	margin: 5px auto 5px auto;
}
/**********************************************************************
Styles for the Database Connection Helper Tab
**********************************************************************/
.DSNFound
{
	color: Green;
}
.DSNNotFound
{
	color: Red;
}
.DatabaseConnectionFound
{
	color: Green;
}
.DatabaseConnectionNotFound
{
	color: Red;
}
.AccessDBFound
{
	color: Green;
}
.AccessDBNotFound
{
	color: Red;
}


.tabPageStyle
{
	border-right: #6788BE 1px solid; 
	border-left: #6788BE 1px solid; 
	border-bottom: #6788BE 1px solid; 
	margin-top: -13px;
	margin-right: -1px;
}

